#/usr/bin/env python
# -*- coding: utf-8 -*-
# -*- Python -*-
# Version : 1.0.0
# Vendor : RTC-Center
# date : 09/08/26 (ver1.0.0)
# abstract : script for demonstration
#

import sys
import os
import time

from math import *

from set_env import *

save_path = sys.path[:]
sys.path.append(Rh2LibDir)
from rtc_handle import *

env = RtmEnv(sys.argv,[Rh2VoiceNS])
for ns in env.name_space :
  env.name_space[ns].list_obj()

sys.path.append(Rh2VoiceToolsDir)
import Rh2Voice_ctrl
from message import *
sys.path.append(Rh2ArmToolsDir)
import Rh2Arm_ctrl

Rh2Voice_ctrl.assign_variables(env)

#
# import stub files
#
sys.path.append(Rh2IdlDir)
import _GlobalIDL
sys.path = save_path

# アームが動きます〜
Rh2Voice_ctrl.talk(mstr010)
time.sleep(3)
Rh2Arm_ctrl.move_joint(Rh2Arm_ctrl.j_escape)
Rh2Arm_ctrl.arm_release(Rh2Arm_ctrl.env)
